NETDEV_SET_MASTER(9)

NAME
netdev_set_master - set up master/slave pair

SYNOPSIS

int netdev_set_master (struct net_device * slave, struct net_device * master);

ARGUMENTS

slave
    slave device

master
    new master device

DESCRIPTION

Changes the master device of the slave. Pass NULL to break the bonding. The caller must hold the RTNL semaphore. On a failure a negative errno code is returned. On success the reference counts are adjusted, RTM_NEWLINK is sent to the routing socket and the function returns zero.